import * as React from 'react';
import { ThemedComponentClass } from '@friendsofreactjs/react-css-themr';
import { IAutoSuggestMethods, IItemList } from './Picker';
import * as Autosuggest from 'react-autosuggest';
export declare type Type = 'text' | 'email' | 'number' | 'password' | 'search' | 'tel' | 'url' | 'date' | 'datetime-local' | 'month' | 'time' | 'week';
export interface IStateProps {
    chipListState: IItemList[];
    suggestions: Autosuggest[];
    inputProps: Autosuggest.InputProps;
    value?: string;
}
export interface State {
    height?: number | null;
    focused?: boolean;
}
export interface Props {
    placeholder?: string;
    value?: string;
    label: string;
    required?: boolean;
    theme?: any;
    autoSuggest?: boolean;
    autoSuggestMethods?: IAutoSuggestMethods;
    stateProps?: IStateProps;
    onChange?(value: string): void;
}
declare class TextField extends React.PureComponent<Props, State> {
    state: State;
    render(): JSX.Element;
    private handleChange;
}
export { TextField as UnthemedTextField };
declare const _default: ThemedComponentClass<Props, State>;
export default _default;
